/* BAPI_M.H - mailbox command codes (BSC only) */

/*========== MAILBOX COMMANDS AND RETURN CODES ==========*/
#define BSC_READ                       0x00
#define BSC_WRITE                      0x01
#define OPEN_LINK                      0x02
#define CLOSE_LINK                     0x03
#define CAM_WRITE                      0x04
#define CAM_READ                       0x05
#define LINK_STATUS                    0x06
#define READ_OPERATIONAL_STATISTICS    0x07
#define FLUSH_OPERATIONAL_STATISTICS   0x08
#define READ_COMMS_ERROR_STATISTICS    0x09
#define FLUSH_COMMS_ERROR_STATISTICS   0x0A
#define READ_BSC_ERROR_STATISTICS      0x0B
#define FLUSH_BSC_ERROR_STATISTICS     0x0C
#define FLUSH_BSC_TEXT_BUFFERS         0x0D
#define SET_CONFIGURATION              0x0E
#define READ_CONFIGURATION             0x0F
#define SET_MODEM_STATUS               0x10
#define READ_MODEM_STATUS              0x11
#define READ_CODE_VERSION              0x12
#define ADD_STATION			0x20
#define DELETE_STATION			0x21
#define DELETE_ALL_STATIONS		0x22
#define LIST_STATIONS			0x23
#define SET_GENERAL_OR_SPECIFIC_POLL	0x24
#define SET_STATION_STATUS		0x25


#define READ_STATE_DIAGNOSTICS         0x30

#define	UNUSED_CMD_FOR_EVENTS		0x7e

#define	Z80_TIMEOUT_ERROR	0x0a
#define	DATA_LENGTH_TOO_BIG	0x03

